<?xml version="1.0" encoding="utf-8"?>
<layout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <variable
            name="payment"
            type="com.yono.messeripos.response.PaymentResponse" />

        <variable
            name="logo"
            type="String" />
    </data>

<androidx.constraintlayout.widget.ConstraintLayout
    android:layout_height="wrap_content"
    android:layout_width="match_parent"
    android:layout_marginVertical="2dp">

    <com.google.android.material.card.MaterialCardView
        android:id="@+id/cvPayment"
        android:clickable="true"
        android:focusable="true"
        android:checkable="true"
        android:layout_height="wrap_content"
        android:layout_width="match_parent"
        app:layout_constraintTop_toTopOf="parent"
        app:strokeWidth="1dp"
        app:strokeColor="@color/color_stroke">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="15dp">


            <ImageView
                android:id="@+id/ivLogo"
                android:layout_width="120dp"
                android:layout_height="0dp"
                android:src="@drawable/ic_bni_logo"
                app:logo_bank="@{logo}"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"/>

            <RadioButton
                android:id="@+id/rbPayment"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:buttonTint="@color/colorPrimary"
                android:enabled="false"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"/>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </com.google.android.material.card.MaterialCardView>

</androidx.constraintlayout.widget.ConstraintLayout>
</layout>